Skip to main content
GET
/
screening
/
trlink
/
customers
/
integration
/
{customerIntegrationId}
/
public_key
TypeScript
const response: Promise<FireblocksResponse<TRLinkPublicKeyResponse>> = fireblocks.tRLink.getTRLinkIntegrationPublicKey(tRLinkApiGetTRLinkIntegrationPublicKeyRequest);
{
  "issuer": "notabene",
  "publicKey": {
    "kty": "RSA",
    "e": "AQAB",
    "use": "enc",
    "kid": "key-12345",
    "n": "xGOr-H7A..."
  }
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

customerIntegrationId
string<uuid>
required

Customer integration unique identifier

Response

Public key retrieved successfully

issuer
string
required

Partner issuer identifier

Example:

"notabene"

publicKey
object
required

JSON Web Key (JWK) format public key